summaryrefslogtreecommitdiffstats
path: root/tools
diff options
context:
space:
mode:
authorDave Reisner2011-12-20 14:36:04 +0100
committerKarel Zak2012-01-04 13:53:08 +0100
commite1e7be22eec27b358d269f203e8ebcc05a761f31 (patch)
tree4164160ac6840bbe0f202d619619fef96e6e14d4 /tools
parentlibmount: fixed a small typo (diff)
downloadkernel-qcow2-util-linux-e1e7be22eec27b358d269f203e8ebcc05a761f31.tar.gz
kernel-qcow2-util-linux-e1e7be22eec27b358d269f203e8ebcc05a761f31.tar.xz
kernel-qcow2-util-linux-e1e7be22eec27b358d269f203e8ebcc05a761f31.zip
tools: add new code checking script
Finds usage of strdup, malloc, calloc, and realloc when xalloc.h is included. http://marc.info/?l=util-linux-ng&m=132438338929925&w=2 Signed-off-by: Dave Reisner <dreisner@archlinux.org>
Diffstat (limited to 'tools')
-rwxr-xr-xtools/checkxalloc.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/tools/checkxalloc.sh b/tools/checkxalloc.sh
new file mode 100755
index 000000000..89940fe23
--- /dev/null
+++ b/tools/checkxalloc.sh
@@ -0,0 +1,13 @@
+#!/bin/sh
+#
+# Find files which include the xalloc.h header, but which still call
+# the unwrapped calloc and malloc.
+#
+
+cd "$(git rev-parse --show-toplevel)" || {
+ echo "error: failed to chdir to git root"
+ exit 1
+}
+
+git grep -zl '#include "xalloc.h"' |
+ xargs -0 grep -nwE '[^x](([cm]|re)alloc|strdup)\('